[arch-commits] Commit in (4 files)

daniel at archlinux.org daniel at archlinux.org
Fri Jun 12 12:53:29 EDT 2009


    Date: Friday, June 12, 2009 @ 12:53:29
  Author: daniel
Revision: 42302

New (opt)dependency for wicd

Added:
  python-urwid/
  python-urwid/repos/
  python-urwid/trunk/
  python-urwid/trunk/PKGBUILD

----------+
 PKGBUILD |   23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

Added: python-urwid/trunk/PKGBUILD
===================================================================
--- python-urwid/trunk/PKGBUILD	                        (rev 0)
+++ python-urwid/trunk/PKGBUILD	2009-06-12 16:53:29 UTC (rev 42302)
@@ -0,0 +1,23 @@
+# $Id: PKGBUILD,v 1.10 2009/03/13 21:14:09 sergej Exp $
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+# Maintainer: Sergej Pupykin <sergej at aur.archlinux.org>
+# Maintainer: Douglas Soares de Andrade <dsandrade at gmail.com>
+
+pkgname=python-urwid
+pkgver=0.9.8.4
+pkgrel=1
+pkgdesc="Urwid is a curses-based user interface library."
+license=('GPL')
+arch=('i686' 'x86_64')
+depends=('python')
+url="http://excess.org/urwid/"
+source=(http://excess.org/urwid/urwid-$pkgver.tar.gz)
+md5sums=('28f918c66887d4e470ae0c3535579ad7')
+
+build() {
+  cd $startdir/src/urwid-$pkgver
+
+  python setup.py install --prefix=/usr --root=$startdir/pkg || return 1
+
+  rm -rf $startdir/src/$_hgname-build
+}



More information about the arch-commits mailing list